Skip to main content
GET
/
api
/
v1
/
keywords-metrics
/
brand-mentions
Brand Mentions Rankings Metrics
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/keywords-metrics/brand-mentions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "keyword_id": "<string>",
      "keyword_text": "<string>",
      "thematic_name": "<string>",
      "topic": "<string>",
      "persona": "<string>",
      "funnel_stage": "<string>",
      "strength": "<string>",
      "weakness": "<string>",
      "related_product": "<string>",
      "sub_brand": "<string>",
      "brand": "<string>",
      "intent": [
        "<string>"
      ],
      "search_volume": 123,
      "trends": [
        123
      ],
      "search_interest_trends": [
        123
      ],
      "related_queries": [
        {
          "query": "<string>",
          "relevance": 123,
          "search_volume": 123,
          "trends": [
            123
          ],
          "intents": [
            "<string>"
          ]
        }
      ],
      "score": 123,
      "bing_seo_rank": 123,
      "bing_seo_previous_rank": 123,
      "bing_seo_content": "<string>",
      "google_seo_rank": 123,
      "google_seo_previous_rank": 123,
      "google_seo_content": "<string>",
      "bing_aio_rank": 123,
      "bing_aio_previous_rank": 123,
      "bing_aio_content": "<string>",
      "google_aio_rank": 123,
      "google_aio_previous_rank": 123,
      "google_aio_content": "<string>",
      "gpt_rank": 123,
      "gpt_previous_rank": 123,
      "gpt_content": "<string>",
      "gemini_rank": 123,
      "gemini_previous_rank": 123,
      "gemini_content": "<string>",
      "perplexity_rank": 123,
      "perplexity_previous_rank": 123,
      "perplexity_content": "<string>",
      "type": "<string>",
      "has_google_aio": false,
      "has_bing_aio": false,
      "claude_rank": 123,
      "claude_previous_rank": 123,
      "claude_content": "<string>",
      "google_ai_mode_rank": 123,
      "google_ai_mode_previous_rank": 123,
      "google_ai_mode_content": "<string>",
      "entity_type": "brand"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_id
string | null
collect_ids
string[] | null
prev_collect_id
string | null
prev_collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
project_id
string
required

Project Id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
client_id
string
required

Client id

thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand

Response

Successful Response

data
KeywordsByBrandsResponse · object[]
required